from flask import Flask
from pymongo import MongoClient
import pprint
import os
app = Flask(__name__)

MONGODB_USERNAME = os.environ.get('MONGODB_USERNAME');
MONGODB_PASSWORD = os.environ.get('MONGODB_PASSWORD');
MONGODB_CONTAINER_NAME = os.environ.get('MONGODB_CONTAINER_NAME');
MONGODB_CONTAINER_PORT = os.environ.get('MONGODB_CONTAINER_PORT');

MONGODB_URL = "mongodb://" + MONGODB_USERNAME + ":" + MONGODB_PASSWORD + "@" + MONGODB_CONTAINER_NAME + ":" + MONGODB_CONTAINER_PORT;

client = MongoClient(MONGODB_URL)
db = client.test

@app.route('/')
def home():
	return 'Flask server is running'

@app.route('/users')
def getUsers():
	print('users endpoint working')
	users = db.users.find()
	usernames = ""
	for user in users:
		usernames += f" {user['name']}"
	return usernames
   
if __name__ == "__main__":
    app.run(host='0.0.0.0', port=5000, debug=True)
